#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define module boto
Summary:	An integrated interface to infrastructural services offered by Amazon Web Services
Summary(pl.UTF-8):	Zintegrowany interfejs do usług infrastruktury oferowanych przez usługi WWW Amazon
Name:		python-%{module}
Version:	2.49.0
Release:	5
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/boto/
Source0:	https://files.pythonhosted.org/packages/source/b/boto/boto-%{version}.tar.gz
# Source0-md5:	e9b79f80198da059d9a8055a5352fd6d
Patch0:		%{name}-mock.patch
Patch1:		%{name}-py3.patch
URL:		https://github.com/boto/boto
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-httpretty
BuildRequires:	python-mock
BuildRequires:	python-nose
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-httpretty
BuildRequires:	python3-nose
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An integrated interface to current and future infrastructural services
offered by Amazon Web Services.

%description -l pl.UTF-8
Zintegrowany interfejs do aktualnych i przyszłych usług infrastruktury
oferowanych przez usługi WWW Amazon.

%package -n python3-%{module}
Summary:	An integrated interface to infrastructural services offered by Amazon Web Services
Summary(pl.UTF-8):	Zintegrowany interfejs do usług infrastruktury oferowanych przez usługi WWW Amazon
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
An integrated interface to current and future infrastructural services
offered by Amazon Web Services.

%description -n python3-%{module} -l pl.UTF-8
Zintegrowany interfejs do aktualnych i przyszłych usług infrastruktury
oferowanych przez usługi WWW Amazon.

%package -n boto
Summary:	Python utilities for Amazon Web Services
Summary(pl.UTF-8):	Pythonowe narzędzia do usług AWS
Group:		Applications/Networking
%if %{with python3}
Requires:	python3-%{module} = %{version}-%{release}
%else
Requires:	%{name} = %{version}-%{release}
%endif

%description -n boto
Boto is an integrated Python interface to current and future
infrastructural services offered by Amazon Web Services.

This package includes sample utilities implemented with this API.

%description -n boto -l pl.UTF-8
Boto to zintegrowany interfejs do aktualnych i przyszłych usług
infrastruktury oferowanych przez usługi AWS (Amazon WWW Services).

Ten pakiet zawiera przykładowe narzędzia zaimplementowane przy użyciu
API boto.

%package apidocs
Summary:	API documentation for Python boto module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona boto
Group:		Documentation

%description apidocs
API documentation for Python boto module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona boto.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python3}
%py3_build

%if %{with tests}
nosetests-%{py_ver} tests/unit -a '!notdefault'
%endif
%endif

%if %{with python2}
%py_build

%if %{with tests}
nosetests-%{py3_ver} tests/unit -a '!notdefault'
%endif
%endif

%if %{with doc}
# docs are not ready for python3
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

for bin in asadmin bundle_image cfadmin cq cwutil dynamodb_dump dynamodb_load elbadmin \
	   fetch_file glacier instance_events kill_instance launch_instance list_instances \
	   lss3 mturk pyami_sendmail route53 s3put sdbadmin taskadmin ; do
	%{__mv} $RPM_BUILD_ROOT%{_bindir}/${bin} $RPM_BUILD_ROOT%{_bindir}/${bin}-2
%if %{without python3}
	ln -sf ${bin}-2 $RPM_BUILD_ROOT%{_bindir}/${bin}
%endif
done

%py_postclean
%endif

%if %{with python3}
%py3_install

for bin in asadmin bundle_image cfadmin cq cwutil dynamodb_dump dynamodb_load elbadmin \
	   fetch_file glacier instance_events kill_instance launch_instance list_instances \
	   lss3 mturk pyami_sendmail route53 s3put sdbadmin taskadmin ; do
	%{__mv} $RPM_BUILD_ROOT%{_bindir}/${bin} $RPM_BUILD_ROOT%{_bindir}/${bin}-3
	ln -sf ${bin}-3 $RPM_BUILD_ROOT%{_bindir}/${bin}
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/asadmin-2
%attr(755,root,root) %{_bindir}/bundle_image-2
%attr(755,root,root) %{_bindir}/cfadmin-2
%attr(755,root,root) %{_bindir}/cq-2
%attr(755,root,root) %{_bindir}/cwutil-2
%attr(755,root,root) %{_bindir}/dynamodb_dump-2
%attr(755,root,root) %{_bindir}/dynamodb_load-2
%attr(755,root,root) %{_bindir}/elbadmin-2
%attr(755,root,root) %{_bindir}/fetch_file-2
%attr(755,root,root) %{_bindir}/glacier-2
%attr(755,root,root) %{_bindir}/instance_events-2
%attr(755,root,root) %{_bindir}/kill_instance-2
%attr(755,root,root) %{_bindir}/launch_instance-2
%attr(755,root,root) %{_bindir}/list_instances-2
%attr(755,root,root) %{_bindir}/lss3-2
%attr(755,root,root) %{_bindir}/mturk-2
%attr(755,root,root) %{_bindir}/pyami_sendmail-2
%attr(755,root,root) %{_bindir}/route53-2
%attr(755,root,root) %{_bindir}/s3put-2
%attr(755,root,root) %{_bindir}/sdbadmin-2
%attr(755,root,root) %{_bindir}/taskadmin-2
%{py_sitescriptdir}/boto
%{py_sitescriptdir}/boto-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/asadmin-3
%attr(755,root,root) %{_bindir}/bundle_image-3
%attr(755,root,root) %{_bindir}/cfadmin-3
%attr(755,root,root) %{_bindir}/cq-3
%attr(755,root,root) %{_bindir}/cwutil-3
%attr(755,root,root) %{_bindir}/dynamodb_dump-3
%attr(755,root,root) %{_bindir}/dynamodb_load-3
%attr(755,root,root) %{_bindir}/elbadmin-3
%attr(755,root,root) %{_bindir}/fetch_file-3
%attr(755,root,root) %{_bindir}/glacier-3
%attr(755,root,root) %{_bindir}/instance_events-3
%attr(755,root,root) %{_bindir}/kill_instance-3
%attr(755,root,root) %{_bindir}/launch_instance-3
%attr(755,root,root) %{_bindir}/list_instances-3
%attr(755,root,root) %{_bindir}/lss3-3
%attr(755,root,root) %{_bindir}/mturk-3
%attr(755,root,root) %{_bindir}/pyami_sendmail-3
%attr(755,root,root) %{_bindir}/route53-3
%attr(755,root,root) %{_bindir}/s3put-3
%attr(755,root,root) %{_bindir}/sdbadmin-3
%attr(755,root,root) %{_bindir}/taskadmin-3
%{py3_sitescriptdir}/boto
%{py3_sitescriptdir}/boto-%{version}-py*.egg-info
%endif

%files -n boto
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/asadmin
%attr(755,root,root) %{_bindir}/bundle_image
%attr(755,root,root) %{_bindir}/cfadmin
%attr(755,root,root) %{_bindir}/cq
%attr(755,root,root) %{_bindir}/cwutil
%attr(755,root,root) %{_bindir}/dynamodb_dump
%attr(755,root,root) %{_bindir}/dynamodb_load
%attr(755,root,root) %{_bindir}/elbadmin
%attr(755,root,root) %{_bindir}/fetch_file
%attr(755,root,root) %{_bindir}/glacier
%attr(755,root,root) %{_bindir}/instance_events
%attr(755,root,root) %{_bindir}/kill_instance
%attr(755,root,root) %{_bindir}/launch_instance
%attr(755,root,root) %{_bindir}/list_instances
%attr(755,root,root) %{_bindir}/lss3
%attr(755,root,root) %{_bindir}/mturk
%attr(755,root,root) %{_bindir}/pyami_sendmail
%attr(755,root,root) %{_bindir}/route53
%attr(755,root,root) %{_bindir}/s3put
%attr(755,root,root) %{_bindir}/sdbadmin
%attr(755,root,root) %{_bindir}/taskadmin

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,migrations,ref,releasenotes,*.html,*.js}
%endif
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-boto.git;a=log;h=auto/th/python-boto-2.49.0-5

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 89de1a5
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 5b54e44
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c76c572
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> 57d3629
- release 2 (by relup.sh)

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> a7a2461
- tests require httpretty module

* Sun Feb 14 2021 Jakub Bogusz <qboosh@pld-linux.org> 32c7983
- updated to 2.49.0, added apidocs and tests
- added mock patch (allow using unittest.mock instead of separate mock on python3)
- added py3 patch (fix one library and one test issue with python 3.2+)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 430e3e8
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b5b2d2
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b0515b1
- python 3.6
- release 2 (by relup.sh)

* Sun Sep 18 2016 Jacek Konieczny <jajcus@jajcus.net> 9918160
- Version: 2.42.0

* Sun Dec 20 2015 Jan Rękorajski <baggins@pld-linux.org> 4ed30b0
- make sure installs are consistent and macthing internal deps
- rel 4

* Sun Dec 20 2015 Jan Rękorajski <baggins@pld-linux.org> 73a3e35
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> dc370c7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b6447d7
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 364e292
- automatic change: use py_build/py_install macros

* Thu Sep 17 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ed60413
- build python3 module too

* Thu Sep 17 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 3e3c23b
- Version: 2.38.0

* Thu Feb 23 2012 Jan Rękorajski <baggins@pld-linux.org> 6dcf472
- 2.2.2

* Thu Feb 17 2011 Jacek Konieczny <jajcus@pld-linux.org> 58599a0
- Version: 2.0b4 (1.9b won't work well with Python 2.7)
- utilities moved to the 'boto' package, python-boto now contains only the
  Python library

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> ce2680e
- release 3

